Skip to content

ClickHouse

All operations require authentication.

7 operationsv2/publicCloud/project
Agent setup

List ClickHouse servicesBeta

GET
/v2/publicCloud/project/{projectId}/managedAnalytics/clickhouse

Returns the ClickHouse services of the project.

Path parameters

projectId
required
string

Project ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200Service[]successful operation
checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the service was created

currentState
read-only
ServiceCurrentState

Current configuration deployed on the service

currentTasks
read-only
CurrentTask[]

Asynchronous operations currently running on the service

id
read-only
stringuuid

Unique identifier of the service

resourceStatus
read-only
ResourceStatusEnum

Readiness status of the service. A new target specification is accepted only in READY status.

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
ServiceTargetSpec

Last requested target specification for the service

updatedAt
read-only
stringdate-time

Date of the last update to the service

Example uses projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/clickhouse \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "advancedConfiguration": { "key": "string" }, "backup": { "pitr": "2024-01-01T12:00:00Z", "regions": [ "af-north-lz-rba" ], "retentionDays": 0, "time": "string" }, "capabilities": { "key": { "create": "DISABLED", "delete": "DISABLED", "read": "DISABLED", "update": "DISABLED" } }, "deletionProtected": true, "description": "string", "endpoints": [ { "component": "CLICKHOUSE", "domain": "string", "path": "string", "port": 0, "public": true, "scheme": "string", "ssl": true, "sslMode": "REQUIRE", "uri": "string" } ], "engineCapabilities": { "advancedConfigurationProperties": [ { "default": "string", "description": "string", "maximum": 0, "minimum": 0, "name": "string", "requiresRestart": true, "type": "BOOLEAN", "values": [ null ] } ], "backupRegions": [ "string" ], "categories": [ "string" ], "commands": [ "string" ], "connectors": [ { "author": "string", "configuration": [ null ], "documentationUrl": "string", "id": "00000000-0000-0000-0000-000000000000", "latest": true, "name": "string", "preview": true, "transforms": [ null ], "type": "SINK", "version": "string" } ], "integrations": [ { "destinationEngine": "CLICKHOUSE", "parameters": [ null ], "sourceEngine": "CLICKHOUSE", "type": "GRAFANA_DASHBOARD" } ] }, "flavor": "string", "maintenanceWindow": { "startTimeUtc": "string" }, "network": { "authorizedIps": { "rules": [ { "cidr": null, "createdAt": null, "description": null } ] }, "networkId": "00000000-0000-0000-0000-000000000000", "public": true, "subnetId": "00000000-0000-0000-0000-000000000000" }, "nodes": [ { "createdAt": "2024-01-01T12:00:00Z", "flavor": "string", "id": "00000000-0000-0000-0000-000000000000", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "port": 0, "role": "ANALYTICS", "status": "CREATING" } ], "nodesCount": 0, "plan": "string", "prometheusEnabled": true, "status": "CREATING", "storage": { "size": { "unit": "GB", "value": 0 }, "type": "HIGH_SPEED" }, "version": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "advancedConfiguration": { "key": "string" }, "backup": { "regions": [ "af-north-lz-rba" ], "time": "string" }, "deletionProtected": true, "description": "string", "flavor": "string", "maintenanceWindow": { "startTimeUtc": "string" }, "network": { "authorizedIps": { "rules": [ { "cidr": null, "createdAt": null, "description": null } ] }, "public": true }, "nodesCount": 0, "plan": "string", "prometheusEnabled": true, "storage": { "size": { "unit": "GB", "value": 0 } }, "version": "string" }, "updatedAt": "2024-01-01T12:00:00Z" }]

Get a ClickHouse serviceBeta

GET
/v2/publicCloud/project/{projectId}/managedAnalytics/clickhouse/{serviceId}

Returns the target specification of the service, its current state and its running tasks.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Response

200Servicesuccessful operation
checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the service was created

currentState
read-only
ServiceCurrentState

Current configuration deployed on the service

currentTasks
read-only
CurrentTask[]

Asynchronous operations currently running on the service

id
read-only
stringuuid

Unique identifier of the service

resourceStatus
read-only
ResourceStatusEnum

Readiness status of the service. A new target specification is accepted only in READY status.

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
ServiceTargetSpec

Last requested target specification for the service

updatedAt
read-only
stringdate-time

Date of the last update to the service

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/clickhouse/{serviceId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "advancedConfiguration": { "key": "string" }, "backup": { "pitr": "2024-01-01T12:00:00Z", "regions": [ "af-north-lz-rba" ], "retentionDays": 0, "time": "string" }, "capabilities": { "key": { "create": "DISABLED", "delete": "DISABLED", "read": "DISABLED", "update": "DISABLED" } }, "deletionProtected": true, "description": "string", "endpoints": [ { "component": "CLICKHOUSE", "domain": "string", "path": "string", "port": 0, "public": true, "scheme": "string", "ssl": true, "sslMode": "REQUIRE", "uri": "string" } ], "engineCapabilities": { "advancedConfigurationProperties": [ { "default": "string", "description": "string", "maximum": 0, "minimum": 0, "name": "string", "requiresRestart": true, "type": "BOOLEAN", "values": [ "string" ] } ], "backupRegions": [ "string" ], "categories": [ "string" ], "commands": [ "string" ], "connectors": [ { "author": "string", "configuration": [ { "defaultValue": null, "description": null, "displayName": null, "group": null, "importance": null, "name": null, "required": null, "type": null, "values": null } ], "documentationUrl": "string", "id": "00000000-0000-0000-0000-000000000000", "latest": true, "name": "string", "preview": true, "transforms": [ { "description": null, "displayName": null, "name": null, "required": null, "transformType": null, "type": null, "values": null } ], "type": "SINK", "version": "string" } ], "integrations": [ { "destinationEngine": "CLICKHOUSE", "parameters": [ { "name": null, "type": null } ], "sourceEngine": "CLICKHOUSE", "type": "GRAFANA_DASHBOARD" } ] }, "flavor": "string", "maintenanceWindow": { "startTimeUtc": "string" }, "network": { "authorizedIps": { "rules": [ { "cidr": "192.0.2.0/24", "createdAt": "2024-01-01T12:00:00Z", "description": "string" } ] }, "networkId": "00000000-0000-0000-0000-000000000000", "public": true, "subnetId": "00000000-0000-0000-0000-000000000000" }, "nodes": [ { "createdAt": "2024-01-01T12:00:00Z", "flavor": "string", "id": "00000000-0000-0000-0000-000000000000", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "port": 0, "role": "ANALYTICS", "status": "CREATING" } ], "nodesCount": 0, "plan": "string", "prometheusEnabled": true, "status": "CREATING", "storage": { "size": { "unit": "GB", "value": 0 }, "type": "HIGH_SPEED" }, "version": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "advancedConfiguration": { "key": "string" }, "backup": { "regions": [ "af-north-lz-rba" ], "time": "string" }, "deletionProtected": true, "description": "string", "flavor": "string", "maintenanceWindow": { "startTimeUtc": "string" }, "network": { "authorizedIps": { "rules": [ { "cidr": "192.0.2.0/24", "createdAt": "2024-01-01T12:00:00Z", "description": "string" } ] }, "public": true }, "nodesCount": 0, "plan": "string", "prometheusEnabled": true, "storage": { "size": { "unit": "GB", "value": 0 } }, "version": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}

Create a ClickHouse serviceBeta

POST
/v2/publicCloud/project/{projectId}/managedAnalytics/clickhouse

Creates a ClickHouse service from a plan, a flavor and an engine version. Creation is asynchronous: follow resourceStatus until READY. Set forkSourceServiceId to create it from a backup of another service.

Path parameters

projectId
required
string

Project ID

Request body (required)

targetSpec
required
ServiceCreationTargetSpec

Desired configuration of the new service

Response

200Servicesuccessful operation
checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the service was created

currentState
read-only
ServiceCurrentState

Current configuration deployed on the service

currentTasks
read-only
CurrentTask[]

Asynchronous operations currently running on the service

id
read-only
stringuuid

Unique identifier of the service

resourceStatus
read-only
ResourceStatusEnum

Readiness status of the service. A new target specification is accepted only in READY status.

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
ServiceTargetSpec

Last requested target specification for the service

updatedAt
read-only
stringdate-time

Date of the last update to the service

Example uses projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/clickhouse \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "advancedConfiguration": { "key": "string" }, "backup": { "pitr": "2024-01-01T12:00:00Z", "regions": [ "af-north-lz-rba" ], "retentionDays": 0, "time": "string" }, "capabilities": { "key": { "create": "DISABLED", "delete": "DISABLED", "read": "DISABLED", "update": "DISABLED" } }, "deletionProtected": true, "description": "string", "endpoints": [ { "component": "CLICKHOUSE", "domain": "string", "path": "string", "port": 0, "public": true, "scheme": "string", "ssl": true, "sslMode": "REQUIRE", "uri": "string" } ], "engineCapabilities": { "advancedConfigurationProperties": [ { "default": "string", "description": "string", "maximum": 0, "minimum": 0, "name": "string", "requiresRestart": true, "type": "BOOLEAN", "values": [ "string" ] } ], "backupRegions": [ "string" ], "categories": [ "string" ], "commands": [ "string" ], "connectors": [ { "author": "string", "configuration": [ { "defaultValue": null, "description": null, "displayName": null, "group": null, "importance": null, "name": null, "required": null, "type": null, "values": null } ], "documentationUrl": "string", "id": "00000000-0000-0000-0000-000000000000", "latest": true, "name": "string", "preview": true, "transforms": [ { "description": null, "displayName": null, "name": null, "required": null, "transformType": null, "type": null, "values": null } ], "type": "SINK", "version": "string" } ], "integrations": [ { "destinationEngine": "CLICKHOUSE", "parameters": [ { "name": null, "type": null } ], "sourceEngine": "CLICKHOUSE", "type": "GRAFANA_DASHBOARD" } ] }, "flavor": "string", "maintenanceWindow": { "startTimeUtc": "string" }, "network": { "authorizedIps": { "rules": [ { "cidr": "192.0.2.0/24", "createdAt": "2024-01-01T12:00:00Z", "description": "string" } ] }, "networkId": "00000000-0000-0000-0000-000000000000", "public": true, "subnetId": "00000000-0000-0000-0000-000000000000" }, "nodes": [ { "createdAt": "2024-01-01T12:00:00Z", "flavor": "string", "id": "00000000-0000-0000-0000-000000000000", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "port": 0, "role": "ANALYTICS", "status": "CREATING" } ], "nodesCount": 0, "plan": "string", "prometheusEnabled": true, "status": "CREATING", "storage": { "size": { "unit": "GB", "value": 0 }, "type": "HIGH_SPEED" }, "version": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "advancedConfiguration": { "key": "string" }, "backup": { "regions": [ "af-north-lz-rba" ], "time": "string" }, "deletionProtected": true, "description": "string", "flavor": "string", "maintenanceWindow": { "startTimeUtc": "string" }, "network": { "authorizedIps": { "rules": [ { "cidr": "192.0.2.0/24", "createdAt": "2024-01-01T12:00:00Z", "description": "string" } ] }, "public": true }, "nodesCount": 0, "plan": "string", "prometheusEnabled": true, "storage": { "size": { "unit": "GB", "value": 0 } }, "version": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}

Delete a ClickHouse serviceBeta

DELETE
/v2/publicCloud/project/{projectId}/managedAnalytics/clickhouse/{serviceId}

Deletes the service. A service with deletion protection enabled cannot be deleted.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Response

200Servicesuccessful operation
checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the service was created

currentState
read-only
ServiceCurrentState

Current configuration deployed on the service

currentTasks
read-only
CurrentTask[]

Asynchronous operations currently running on the service

id
read-only
stringuuid

Unique identifier of the service

resourceStatus
read-only
ResourceStatusEnum

Readiness status of the service. A new target specification is accepted only in READY status.

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
ServiceTargetSpec

Last requested target specification for the service

updatedAt
read-only
stringdate-time

Date of the last update to the service

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/clickhouse/{serviceId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "advancedConfiguration": { "key": "string" }, "backup": { "pitr": "2024-01-01T12:00:00Z", "regions": [ "af-north-lz-rba" ], "retentionDays": 0, "time": "string" }, "capabilities": { "key": { "create": "DISABLED", "delete": "DISABLED", "read": "DISABLED", "update": "DISABLED" } }, "deletionProtected": true, "description": "string", "endpoints": [ { "component": "CLICKHOUSE", "domain": "string", "path": "string", "port": 0, "public": true, "scheme": "string", "ssl": true, "sslMode": "REQUIRE", "uri": "string" } ], "engineCapabilities": { "advancedConfigurationProperties": [ { "default": "string", "description": "string", "maximum": 0, "minimum": 0, "name": "string", "requiresRestart": true, "type": "BOOLEAN", "values": [ "string" ] } ], "backupRegions": [ "string" ], "categories": [ "string" ], "commands": [ "string" ], "connectors": [ { "author": "string", "configuration": [ { "defaultValue": null, "description": null, "displayName": null, "group": null, "importance": null, "name": null, "required": null, "type": null, "values": null } ], "documentationUrl": "string", "id": "00000000-0000-0000-0000-000000000000", "latest": true, "name": "string", "preview": true, "transforms": [ { "description": null, "displayName": null, "name": null, "required": null, "transformType": null, "type": null, "values": null } ], "type": "SINK", "version": "string" } ], "integrations": [ { "destinationEngine": "CLICKHOUSE", "parameters": [ { "name": null, "type": null } ], "sourceEngine": "CLICKHOUSE", "type": "GRAFANA_DASHBOARD" } ] }, "flavor": "string", "maintenanceWindow": { "startTimeUtc": "string" }, "network": { "authorizedIps": { "rules": [ { "cidr": "192.0.2.0/24", "createdAt": "2024-01-01T12:00:00Z", "description": "string" } ] }, "networkId": "00000000-0000-0000-0000-000000000000", "public": true, "subnetId": "00000000-0000-0000-0000-000000000000" }, "nodes": [ { "createdAt": "2024-01-01T12:00:00Z", "flavor": "string", "id": "00000000-0000-0000-0000-000000000000", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "port": 0, "role": "ANALYTICS", "status": "CREATING" } ], "nodesCount": 0, "plan": "string", "prometheusEnabled": true, "status": "CREATING", "storage": { "size": { "unit": "GB", "value": 0 }, "type": "HIGH_SPEED" }, "version": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "advancedConfiguration": { "key": "string" }, "backup": { "regions": [ "af-north-lz-rba" ], "time": "string" }, "deletionProtected": true, "description": "string", "flavor": "string", "maintenanceWindow": { "startTimeUtc": "string" }, "network": { "authorizedIps": { "rules": [ { "cidr": "192.0.2.0/24", "createdAt": "2024-01-01T12:00:00Z", "description": "string" } ] }, "public": true }, "nodesCount": 0, "plan": "string", "prometheusEnabled": true, "storage": { "size": { "unit": "GB", "value": 0 } }, "version": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}

Update a ClickHouse serviceBeta

PUT
/v2/publicCloud/project/{projectId}/managedAnalytics/clickhouse/{serviceId}

Updates the target specification of the service, for example its plan, flavor, version or number of nodes. Every field is required: the request describes the whole configuration. A new target specification is accepted only in READY status.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Request body (required)

targetSpec
required
ServiceReplaceTargetSpec

Desired configuration of the service

Response

200Servicesuccessful operation
checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the service was created

currentState
read-only
ServiceCurrentState

Current configuration deployed on the service

currentTasks
read-only
CurrentTask[]

Asynchronous operations currently running on the service

id
read-only
stringuuid

Unique identifier of the service

resourceStatus
read-only
ResourceStatusEnum

Readiness status of the service. A new target specification is accepted only in READY status.

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
ServiceTargetSpec

Last requested target specification for the service

updatedAt
read-only
stringdate-time

Date of the last update to the service

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/clickhouse/{serviceId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "advancedConfiguration": { "key": "string" }, "backup": { "pitr": "2024-01-01T12:00:00Z", "regions": [ "af-north-lz-rba" ], "retentionDays": 0, "time": "string" }, "capabilities": { "key": { "create": "DISABLED", "delete": "DISABLED", "read": "DISABLED", "update": "DISABLED" } }, "deletionProtected": true, "description": "string", "endpoints": [ { "component": "CLICKHOUSE", "domain": "string", "path": "string", "port": 0, "public": true, "scheme": "string", "ssl": true, "sslMode": "REQUIRE", "uri": "string" } ], "engineCapabilities": { "advancedConfigurationProperties": [ { "default": "string", "description": "string", "maximum": 0, "minimum": 0, "name": "string", "requiresRestart": true, "type": "BOOLEAN", "values": [ "string" ] } ], "backupRegions": [ "string" ], "categories": [ "string" ], "commands": [ "string" ], "connectors": [ { "author": "string", "configuration": [ { "defaultValue": null, "description": null, "displayName": null, "group": null, "importance": null, "name": null, "required": null, "type": null, "values": null } ], "documentationUrl": "string", "id": "00000000-0000-0000-0000-000000000000", "latest": true, "name": "string", "preview": true, "transforms": [ { "description": null, "displayName": null, "name": null, "required": null, "transformType": null, "type": null, "values": null } ], "type": "SINK", "version": "string" } ], "integrations": [ { "destinationEngine": "CLICKHOUSE", "parameters": [ { "name": null, "type": null } ], "sourceEngine": "CLICKHOUSE", "type": "GRAFANA_DASHBOARD" } ] }, "flavor": "string", "maintenanceWindow": { "startTimeUtc": "string" }, "network": { "authorizedIps": { "rules": [ { "cidr": "192.0.2.0/24", "createdAt": "2024-01-01T12:00:00Z", "description": "string" } ] }, "networkId": "00000000-0000-0000-0000-000000000000", "public": true, "subnetId": "00000000-0000-0000-0000-000000000000" }, "nodes": [ { "createdAt": "2024-01-01T12:00:00Z", "flavor": "string", "id": "00000000-0000-0000-0000-000000000000", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "port": 0, "role": "ANALYTICS", "status": "CREATING" } ], "nodesCount": 0, "plan": "string", "prometheusEnabled": true, "status": "CREATING", "storage": { "size": { "unit": "GB", "value": 0 }, "type": "HIGH_SPEED" }, "version": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "advancedConfiguration": { "key": "string" }, "backup": { "regions": [ "af-north-lz-rba" ], "time": "string" }, "deletionProtected": true, "description": "string", "flavor": "string", "maintenanceWindow": { "startTimeUtc": "string" }, "network": { "authorizedIps": { "rules": [ { "cidr": "192.0.2.0/24", "createdAt": "2024-01-01T12:00:00Z", "description": "string" } ] }, "public": true }, "nodesCount": 0, "plan": "string", "prometheusEnabled": true, "storage": { "size": { "unit": "GB", "value": 0 } }, "version": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}

Partially update a ClickHouse serviceBeta

PATCH
/v2/publicCloud/project/{projectId}/managedAnalytics/clickhouse/{serviceId}

Partially updates the target specification of the service, for example its plan, flavor, version or number of nodes. Omitted fields keep their current value. A new target specification is accepted only in READY status.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Request body (required)

targetSpec
required
ServiceUpdateTargetSpec

Desired configuration of the service

Response

200Servicesuccessful operation
checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the service was created

currentState
read-only
ServiceCurrentState

Current configuration deployed on the service

currentTasks
read-only
CurrentTask[]

Asynchronous operations currently running on the service

id
read-only
stringuuid

Unique identifier of the service

resourceStatus
read-only
ResourceStatusEnum

Readiness status of the service. A new target specification is accepted only in READY status.

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
ServiceTargetSpec

Last requested target specification for the service

updatedAt
read-only
stringdate-time

Date of the last update to the service

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/clickhouse/{serviceId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "advancedConfiguration": { "key": "string" }, "backup": { "pitr": "2024-01-01T12:00:00Z", "regions": [ "af-north-lz-rba" ], "retentionDays": 0, "time": "string" }, "capabilities": { "key": { "create": "DISABLED", "delete": "DISABLED", "read": "DISABLED", "update": "DISABLED" } }, "deletionProtected": true, "description": "string", "endpoints": [ { "component": "CLICKHOUSE", "domain": "string", "path": "string", "port": 0, "public": true, "scheme": "string", "ssl": true, "sslMode": "REQUIRE", "uri": "string" } ], "engineCapabilities": { "advancedConfigurationProperties": [ { "default": "string", "description": "string", "maximum": 0, "minimum": 0, "name": "string", "requiresRestart": true, "type": "BOOLEAN", "values": [ "string" ] } ], "backupRegions": [ "string" ], "categories": [ "string" ], "commands": [ "string" ], "connectors": [ { "author": "string", "configuration": [ { "defaultValue": null, "description": null, "displayName": null, "group": null, "importance": null, "name": null, "required": null, "type": null, "values": null } ], "documentationUrl": "string", "id": "00000000-0000-0000-0000-000000000000", "latest": true, "name": "string", "preview": true, "transforms": [ { "description": null, "displayName": null, "name": null, "required": null, "transformType": null, "type": null, "values": null } ], "type": "SINK", "version": "string" } ], "integrations": [ { "destinationEngine": "CLICKHOUSE", "parameters": [ { "name": null, "type": null } ], "sourceEngine": "CLICKHOUSE", "type": "GRAFANA_DASHBOARD" } ] }, "flavor": "string", "maintenanceWindow": { "startTimeUtc": "string" }, "network": { "authorizedIps": { "rules": [ { "cidr": "192.0.2.0/24", "createdAt": "2024-01-01T12:00:00Z", "description": "string" } ] }, "networkId": "00000000-0000-0000-0000-000000000000", "public": true, "subnetId": "00000000-0000-0000-0000-000000000000" }, "nodes": [ { "createdAt": "2024-01-01T12:00:00Z", "flavor": "string", "id": "00000000-0000-0000-0000-000000000000", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "port": 0, "role": "ANALYTICS", "status": "CREATING" } ], "nodesCount": 0, "plan": "string", "prometheusEnabled": true, "status": "CREATING", "storage": { "size": { "unit": "GB", "value": 0 }, "type": "HIGH_SPEED" }, "version": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "advancedConfiguration": { "key": "string" }, "backup": { "regions": [ "af-north-lz-rba" ], "time": "string" }, "deletionProtected": true, "description": "string", "flavor": "string", "maintenanceWindow": { "startTimeUtc": "string" }, "network": { "authorizedIps": { "rules": [ { "cidr": "192.0.2.0/24", "createdAt": "2024-01-01T12:00:00Z", "description": "string" } ] }, "public": true }, "nodesCount": 0, "plan": "string", "prometheusEnabled": true, "storage": { "size": { "unit": "GB", "value": 0 } }, "version": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}

Get the TLS certificatesBeta

GET
/v2/publicCloud/project/{projectId}/managedAnalytics/clickhouse/{serviceId}/certificates

Returns the CA certificate, in PEM format, used to verify the connection to the service.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Response

200Certificatessuccessful operation
ca
read-only
string

CA certificate in PEM format used to verify the service connection

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/clickhouse/{serviceId}/certificates \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "ca": "string"}